##
##  amd.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         amd
Summary:      Auto-Mounting Daemon
URL:          http://www.am-utils.org/
Vendor:       UCB
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        System
License:      BSD
Version:      6.0.8
Release:      20021111

#   list of sources
Source0:      ftp://ftp.am-utils.org/pub/am-utils/am-utils-%{version}.tar.gz
Source1:      amd.conf
Source2:      rc.amd
Patch0:       amd.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, flex, bison
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    An automounting daemon maintains a cache of mounted filesystems.
    Filesystems are mounted on demand when they are first referenced,
    and unmounted after a period of inactivity. Amd may be used as a
    replacement for Sun's original automounter. The choice of which
    filesystem to mount can be controlled dynamically with selectors.
    Selectors allow decisions of the form "hostname is this," or
    "architecture is not that." Selectors may be combined arbitrarily.
    Amd also supports a variety of filesystem types, including NFS,
    UFS and the novel program filesystem. The combination of selectors
    and multiple filesystem types allows identical configuration
    files to be used on all machines thus reducing the administrative
    overhead. Amd ensures that it will not hang if a remote server goes
    down. Moreover, Amd can determine when a remote server has become
    inaccessible and then mount replacement filesystems as and when they
    become available.

%prep
    %setup -q -n am-utils-%{version}
    %patch -p0

%build
    #   disable system LDAP support because it makes trouble (at least under Solaris 9)
    ( echo "ac_cv_func_ldap_open=\${ac_cv_func_ldap_open='no'}"
      echo "ac_cv_header_ldap_h=\${ac_cv_header_ldap_h='no'}"
      echo "ac_cv_lib_ldap_ldap_open=\${ac_cv_lib_ldap_ldap_open='no'}"
      echo "ac_cv_map_ldap=\${ac_cv_map_ldap='no'}"
    ) >config.cache
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/amd \
        --disable-debug \
        --disable-shared \
        --without-ldap
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    rm -f $RPM_BUILD_ROOT%{l_prefix}/sbin/automount2amd
    rm -f $RPM_BUILD_ROOT%{l_prefix}/sbin/amd2sun
    rm -f $RPM_BUILD_ROOT%{l_prefix}/sbin/amd2ldif
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man8/automount2amd.8
    rm -f $RPM_BUILD_ROOT%{l_prefix}/etc/amd/*
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/lib
    %{l_shtool} install -c -m 644 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE amd.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/amd/
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} install -c -m 755 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        -e 's;@l_susr@;%{l_susr};g' \
        -e 's;@l_musr@;%{l_musr};g' \
        %{SOURCE rc.amd} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/var/amd
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/amd/amd.conf'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

